#===============================================================================
#
# /etc/services SETUP SCRIPT
#
#                                               Copyright FUJITSU LTD 2005-2007.
#===============================================================================
#$Name: SLINPSA-2_0_0-0 $

#!/bin/sh

SRVNAME="fj-webgate"
SRVPORT="24450"
SRVLINE="$SRVNAME		$SRVPORT/tcp		# FJSVpsa Webgate"


SERVICESFILE="/etc/services"

STARTLINE="## Setup for FJSVpsa Please Do not remove the next line##"
STOPLINE="## End of Setup for FJSVpsa ##"


TEMP=/tmp/FJSVservices

WHO=`whoami|egrep "^root$"|wc -l`
if [ $WHO -ne 1 ]
    then

    echo "servicessetup.sh : Operation not permitted. root only"
    exit 1
fi

if [ -w $SERVICESFILE ]
    then

    checkline=`egrep ^[[:space:]]*$SRVNAME $SERVICESFILE|wc -l`

    case $1 in
	'install')

	    if [ $checkline -eq 0 ]
		then

		echo $STARTLINE >> $SERVICESFILE
		echo "$SRVNAME		$SRVPORT/tcp			# FJSVpsa Webgate" >> $SERVICESFILE
		echo $STOPLINE >> $SERVICESFILE

	    fi

	    exit 0;;


	'uninstall')

		TOTALL=`cat $SERVICESFILE|wc -l`
		STARTL=`grep -n "$STARTLINE" $SERVICESFILE|cut -d: -f1`
		STOPL=`grep -n "$STOPLINE" $SERVICESFILE|cut -d: -f1`

		if [ -z $TOTALL ]
		then
			exit 0
		fi

		if [ -z $STARTL ]
		then
			exit 0
		fi

		if [ -z $STOPL ]
		then
			exit 0
		fi

		if [ `expr $STOPL - $STARTL` -eq 2 ]
		then
			head -n `expr $STARTL - 1` $SERVICESFILE > $TEMP
			tail -n `expr $TOTALL - $STOPL` $SERVICESFILE >> $TEMP
			chmod --reference $SERVICESFILE $TEMP
			mv $TEMP $SERVICESFILE
		fi

	    exit 0;;

	*)
	    echo "servicessetup.sh: Invalid option '$1'"
	    echo "Usage:  servicessetup.sh {install|uninstall}"
	    exit 1;;
    esac

else
    echo "Can't change the file: '$SERVICESFILE'"
    exit 1

fi
