#!/bin/bash
#----------------------------------------------------------------------------------
#   Snmp Alive Check Shell
#   Copyright Fujitsu Limited 2005 - 2007
#
#----------------------------------------------------------------------------------
#$Name: SLINPSA-2_0_0-0 $


CMDRUNLEVEL=/sbin/runlevel
SNMPRUNFILE=/var/run/snmpd
SNMPRUNFILE2=/var/run/snmpd.pid
SNMPPROC=/usr/sbin/snmpd
SNMPWAKEUP=/etc/rc.d/init.d/snmpd

# runlevel check
level2=`$CMDRUNLEVEL | grep "..2" | wc -l`
level3=`$CMDRUNLEVEL | grep "..3" | wc -l`
level4=`$CMDRUNLEVEL | grep "..4" | wc -l`
level5=`$CMDRUNLEVEL | grep "..5" | wc -l`
if [ $level2 -eq 1 -o $level3 -eq 1 -o $level4 -eq 1 -o $level5 -eq 1 ]
then
	levelchk=1
else
	exit 0
fi


# file exists check
if [ -f $SNMPRUNFILE ]
then
	fchk=1
	read procid < $SNMPRUNFILE
elif [ -f $SNMPRUNFILE2 ]
then
	fchk=1
	read procid < $SNMPRUNFILE2
else
	exit 0
fi


# snmp alive check
alive=`ps ax | grep "^ *$procid" | grep -v grep | wc -l`


#runlevel=2 or 3 or 4 or 5 && /var/run/snmpd exists && snmpd not alive
#  --> snmpd start
if [ $levelchk -eq 1 -a $fchk -eq 1 -a $alive -eq 0 ]
then
	$SNMPWAKEUP start > /dev/null 2>&1
elif [ $levelchk -eq 1 -a $fchk -eq 1 -a $alive -eq 1 ]
then
	$SNMPWAKEUP restart > /dev/null 2>&1
fi

exit 0
